require_relative '../spec_helper_acceptance'

describe 'software' do
  before(:all) do
    on(master, puppet('apply', '/etc/puppetlabs/code/environments/production/manifests/os.pp'))
    on(master, puppet('apply', '/etc/puppetlabs/code/environments/production/manifests/java.pp'))
  end

  context 'when applying WebLogic 12.2.1.2' do
    it_should_behave_like "a WebLogic installer",
      version: 12212,
      file: 'fmw_12.2.1.2.0_wls.jar'
  end


end
