
group { 'dba' :
  ensure => present,
}

# http://raftaman.net/?p=1311 for generating password
# password = weblogic
user { 'weblogic' :
  ensure     => present,
  groups     => 'dba',
  shell      => '/bin/bash',
  password   => '$1$mloDctBy$tvcYSIqP4a1yzOVV/JwxY0',
  home       => '/home/weblogic',
  comment    => 'wls user created by Puppet',
  managehome => true,
  require    => Group['dba'],
}

$install = [ 'binutils.x86_64','unzip.x86_64']


package { $install:
  ensure  => present,
}


limits::limits{ '*/nofile':                ensure => 'present', hard => '8192', soft => '2048'}
limits::limits{ 'weblogic/nofile':         ensure => 'present', both => '65536'}
limits::limits{ 'weblogic/nproc':          ensure => 'present', hard => '16384', soft => '2048'}
limits::limits{ 'weblogic/memlock':        ensure => 'present', both => '1048576'}
limits::limits{ 'weblogic/stack':          ensure => 'present', soft => '10240'}

sysctl { 'kernel.msgmnb':                 ensure => 'present', value => '65536',}
sysctl { 'kernel.msgmax':                 ensure => 'present', value => '65536',}
sysctl { 'kernel.shmmax':                 ensure => 'present', value => '2588483584',}
sysctl { 'kernel.shmall':                 ensure => 'present', value => '2097152',}
sysctl { 'fs.file-max':                   ensure => 'present', value => '6815744',}
sysctl { 'net.ipv4.tcp_keepalive_time':   ensure => 'present', value => '1800',}
sysctl { 'net.ipv4.tcp_keepalive_intvl':  ensure => 'present', value => '30',}
sysctl { 'net.ipv4.tcp_keepalive_probes': ensure => 'present', value => '5',}
sysctl { 'net.ipv4.tcp_fin_timeout':      ensure => 'present', value => '30',}
sysctl { 'kernel.shmmni':                 ensure => 'present', value => '4096', }
sysctl { 'fs.aio-max-nr':                 ensure => 'present', value => '1048576',}
sysctl { 'kernel.sem':                    ensure => 'present', value => '250 32000 100 128',}
sysctl { 'net.ipv4.ip_local_port_range':  ensure => 'present', value => '9000 65500',}
sysctl { 'net.core.rmem_default':         ensure => 'present', value => '262144',}
sysctl { 'net.core.rmem_max':             ensure => 'present', value => '4194304', }
sysctl { 'net.core.wmem_default':         ensure => 'present', value => '262144',}
sysctl { 'net.core.wmem_max':             ensure => 'present', value => '1048576',}
